package nxm.sys.intr;

import nxm.sys.lib.Intrinsic;

/**
  Handle a block ENDWHILE control statement.

  @author Jeff Schoen

  @see While
*/
public class Endwhile extends Intrinsic {

  /** default constructor */
  public Endwhile () {}

  public int process() {
    // jump back to WHILE to try test again
    if (M.macro!=null) {
      M.macro.nextIndex = nextIndex;
    }

    return FINISH;
  }
}
